Bug 578580 - Apache CouchDB v0.10.0 prone to timing attacks vulnerability [Fedora all]
Summary: Apache CouchDB v0.10.0 prone to timing attacks vulnerability [Fedora all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: couchdb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL: http://fedoraproject.org/wiki/Securit...
Whiteboard:
Depends On:
Blocks: CVE-2010-0009
TreeView+ depends on / blocked
 
Reported: 2010-03-31 17:31 UTC by Jan Lieskovsky
Modified: 2010-05-12 12:24 UTC (History)
2 users (show)

Fixed In Version: couchdb-0.10.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 19:37:55 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-03-31 17:31:00 UTC
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in affected Fedora versions.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

bug #578572:
Apache CouchDB v0.10.0 prone to timing attacks vulnerability

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product. Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=578572

Please note: this issue affects multiple supported versions of Fedora.  Only one tracking bug has been filed; please only close it when all affected versions are fixed.

For more information see: http://fedoraproject.org/wiki/Security/TrackingBugs

Comment 1 Peter Lemenkov 2010-04-06 16:22:32 UTC
I'll take care of this issue.

Comment 2 Nils Breunese 2010-04-20 18:23:35 UTC
This vulnerability is fixed in 0.10.2 as well as 0.11.0. See http://couchdb.apache.org/downloads.html

Comment 3 Fedora Update System 2010-05-07 14:20:47 UTC
couchdb-0.10.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc11

Comment 4 Fedora Update System 2010-05-07 14:21:02 UTC
couchdb-0.10.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc12

Comment 5 Fedora Update System 2010-05-07 14:21:14 UTC
couchdb-0.10.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.el5

Comment 6 Fedora Update System 2010-05-07 14:21:26 UTC
couchdb-0.10.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc13

Comment 7 Fedora Update System 2010-05-08 16:11:03 UTC
couchdb-0.10.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc13

Comment 8 Fedora Update System 2010-05-10 17:03:58 UTC
couchdb-0.10.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc11

Comment 9 Fedora Update System 2010-05-10 17:08:42 UTC
couchdb-0.10.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.fc12

Comment 10 Fedora Update System 2010-05-10 20:17:26 UTC
couchdb-0.10.2-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update couchdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/couchdb-0.10.2-1.el5

Comment 11 Fedora Update System 2010-05-11 19:37:36 UTC
couchdb-0.10.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-11 19:40:12 UTC
couchdb-0.10.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-12 01:52:07 UTC
couchdb-0.10.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-12 12:24:42 UTC
couchdb-0.10.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.